Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.deployment.webapp
Class WebXmlVersion

    java.lang.Object
      org.apache.cactus.integration.ant.deployment.webapp.WebXmlVersion

All Implemented Interfaces:
  java.lang.Comparable

public final class WebXmlVersion
extends java.lang.Object
implements java.lang.Comparable

Enumerated type that represents the version of the web deployment descriptor.

Since:
  Cactus 1.5
Version:
  $Id: WebXmlVersion.java 239003 2004-05-31 20:05:27Z vmassol $

Field Summary
`java.lang.String` | `systemId` The system ID of the corresponding document type.
`static WebXmlVersion` | `V2_2` Instance for version 2.2.
`static WebXmlVersion` | `V2_3` Instance for version 2.3.

Method Summary
`int` | `compareTo(java.lang.Object theOther)`
`boolean` | `equals(java.lang.Object theOther)`
`java.lang.String` | `getPublicId()` Returns the public ID of the document type corresponding to the descriptor version.
`java.lang.String` | `getSystemId()` Returns the system ID of the document type corresponding to the descriptor version.
`java.lang.String` | `getVersion()` Returns the tag name.
`int` | `hashCode()`
`java.lang.String` | `toString()`
`static WebXmlVersion` | `valueOf(org.w3c.dom.DocumentType theDocType)` Returns the version corresponding to the given document type.
`static WebXmlVersion` | `valueOf(java.lang.String thePublicId)` Returns the version corresponding to the given public ID.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### V2_2

    public static final WebXmlVersion V2_2

  Instance for version 2.2.

### V2_3

    public static final WebXmlVersion V2_3

  Instance for version 2.3.

### systemId

    public java.lang.String systemId

  The system ID of the corresponding document type.

Method Detail

### compareTo

    public int compareTo(java.lang.Object theOther)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### equals

    public boolean equals(java.lang.Object theOther)

  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### getVersion

    public java.lang.String getVersion()

  Returns the tag name.

  Returns:
    The tag name

### getPublicId

    public java.lang.String getPublicId()

  Returns the public ID of the document type corresponding to the descriptor version.

  Returns:
    The public ID

### getSystemId

    public java.lang.String getSystemId()

  Returns the system ID of the document type corresponding to the descriptor version.

  Returns:
    The system ID

### toString

    public java.lang.String toString()

  See Also:
    `Object.toString()`

### valueOf

    public static WebXmlVersion valueOf(org.w3c.dom.DocumentType theDocType)
                                 throws java.lang.NullPointerException

  Returns the version corresponding to the given document type.

  Parameters:
    `theDocType` - The document type
  Returns:
    The version that matches the document type, or `null` if the doctype is not recognized
  Throws:
    `java.lang.NullPointerException` - If the document type is `null`

### valueOf

    public static WebXmlVersion valueOf(java.lang.String thePublicId)

  Returns the version corresponding to the given public ID.

  Parameters:
    `thePublicId` - The public ID
  Returns:
    The version that matches the public ID, or `null` if the ID is not recognized

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.